> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/es/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md).

# Añadir un proxy en Devolutions Server

Añada un proxy en Devolutions Server editando el fichero web.config para establecer las variables de entorno http\_proxy y https\_proxy de la aplicación.

Para añadir un proxy en Devolutions Server, debe añadir algunas líneas de comandos al fichero **web.config**.

1. Localice y abra el fichero **web.config**. Su ubicación predeterminada es **C:\inetpub\wwwroot\dvls\web.config**.
2. En el fichero, localice las etiquetas `<environmentVariables>` y `</environmentVariables>`.
3. Añada el siguiente código entre ellas, sustituyendo los valores por su información:

   ```
   <environmentVariables>
     <environmentVariable name="ASPNETCORE_ENVIRONMENT" value="Production" />
     <environmentVariable name="http_proxy" value="http://proxy:port" />
     <environmentVariable name="https_proxy" value="http://proxy:port" />
   </environmentVariables>
   ```

{% hint style="info" %}
Para más opciones, consulte [Configure using environment variables](https://learn.microsoft.com/en-ca/dotnet/azure/sdk/configure-proxy?tabs=cmd#configure-using-environment-variables).
{% endhint %}

4\. Guarde y cierre el fichero.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/es/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
